Subject: Re: Distinguishing trivial and non-trivial merge commits

From: Jakub Narebski <[email-masked]>
Date: Sun, 02 May 2010 13:12:08 -0700 (PDT)

Eli Barzilay <[email-masked]> writes:

> OK, thanks for clarifying that.  For my purpose, I basically just want
> to know whether there was manual tweaking involved in the merge.  (For
> my thing I don't even need to see those changes, since I show the
> overall push diff only.)  What I ended up doing is pretty bad:

Well, the compact combined output is thought in such way that 
"git diff --cc" should be empty except for evil merges, when change
comes from neither of parents.  See description of --cc format in
git-diff(1) manpage.

The other side is "git diff --raw" output for merges.
-- 
Jakub Narebski
Poland
ShadeHawk on #git